### Property

# Adw Dialog:can-close

since: 1.5

#### Declaration

    property can-close: gboolean [ read, write ]

#### Description [src]

Whether the dialog can be closed.

If set to `FALSE`, the close button, shortcuts and `adw_dialog_close()` will result in `AdwDialog::close-attempt` being emitted instead, and bottom sheet close swipe will be disabled. `adw_dialog_force_close()` still works.

Type:`gboolean`

Available since: 1.5

Default value | TRUE
Getter method | `adw_dialog_get_can_close()`
Setter method | `adw_dialog_set_can_close()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no